//======================================================================
// Copyright (C) 2018
//              David Freese, W1HKJ
//
// This file is part of pskmeter.
//
// pskmeter is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// pskmeter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//======================================================================

#include <config.h>

#include "main.h"
#include "status.h"
#include "support.h"
#include "comm_support.h"
#include "dataloop.h"

Fl_Double_Window *pskscope_dialog;

status progstatus;

int main(int argc, char *argv[])
{
	Fl::lock();

	pskserial = new Cserial;
	pskdata = new Cpskdata;
	readConfigFile();

	pskscope_dialog = mainwin();
	dlgAbout = newAboutDialog();
	wConfig = make_ConfigDialog();

	start_dataloop();

	inpCommPort->add(serial_ports().c_str());

	initProgram((void *)argv[0]);

	pskscope_dialog->position(progstatus.mainX, progstatus.mainY);

	pskscope_dialog->show();

	return Fl::run();
}
